Subject: Re: msvc dll and gcc
From: [email-masked] (Bijan Tuysserkani)

18 Jul 1997 10:06:10 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: "[email-masked]" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

At 05:45 PM 7/17/97 -0600, Bijan Tuysserkani wrote:
>dlltool --def foo.def --dllname foo.dll --output-lib foo.a
>
>That worked fine. 
>
>But when I link it with together with footest.c, which calls the 
>dll-function, I get this result :
>
>bash$ gcc footest.c foo.a -o footest.exe
>C:\TEMP\cc0014041.o(.text+0x2e):footest.c: undefined reference to `myhello'
>gcc: Internal compiler error: program ld got fatal signal 1
>
>foo.def : 
>
>LIBRARY foo
>EXPORTS
>myhello@0
>

Hi, 
I got everything compiled by omitting the @0 in the .def file. 
This is the same way as in the cygwin.din file. 
But how do you deal with that issue, if you do not build the dll 
file by yourself? In this case, as far as I know, each function gets
exported with a leading underscore before the function name and @n afterwards.

However, if I try to execute footest, I get an application error from
windows NT :

The instruction at "0x0252bac6" referenced memory at "0x100476c0". The memory
could not be "written".

Click on OK ........etc

I just want to print something out , I do not write anything. What do I
have to
do to make that thing run?

Thanks,

	Bijan

                                                          /\
                                                  .  /\  /  \
------------------------------------------------ / \/  \/    \
Bijan Tuysserkani                               /      /      \
Qualcomm Inc.                                                  \
5450 Western Ave.                             
Boulder, CO  80301                        (303) 473-6852 (voice)
[email-masked]                     (303) 473-6665 (fax)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".